### Method

# Gtk GLAreaset_required_version

#### Declaration [src]

    void
    gtk_gl_area_set_required_version (
      GtkGLArea* area,
      int major,
      int minor
    )

#### Description [src]

Sets the required version of OpenGL to be used when creating the context for the widget.

This function must be called before the area has been realized.

#### Parameters

`major`

  Type: `int`

  The major version.

`minor`

  Type: `int`

  The minor version.